Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.request
Class SaveBusiness

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.UpdateRequest
              weblogic.uddi.client.structures.request.SaveBusiness

public class SaveBusiness
extends UpdateRequest

SaveBusiness is used to register new or update BusinessEntity information.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`SaveBusiness()` Class Constructor

Method Summary
`void` | `addBusinessEntity(BusinessEntity businessEntity)` Add a new BusinessEntity to the current set of BusinessEntity
`void` | `addUploadRegister(UploadRegister uploadRegister)` Add a new UploadRegister to the current set of UploadRegister
`Vector` | `getBusinessEntityVector()` Gets the current set of BusinessEntity
`Vector` | `getUploadRegisterVector()` Gets the current set of UploadRegister
`void` | `setBusinessEntityVector(Vector vector)` Sets a new set of BusinessEntity
`void` | `setUploadRegisterVector(Vector vector)` Sets a new set of UploadRegister

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveBusiness

    public SaveBusiness()

  Class Constructor

Method Detail

### addBusinessEntity

    public void addBusinessEntity(BusinessEntity businessEntity)

  Add a new BusinessEntity to the current set of BusinessEntity

  Parameters:
    `businessEntity` - New BusinessEntity

### addUploadRegister

    public void addUploadRegister(UploadRegister uploadRegister)

  Add a new UploadRegister to the current set of UploadRegister

  Parameters:
    `uploadRegister` - New UploadRegister

### getBusinessEntityVector

    public Vector getBusinessEntityVector()

  Gets the current set of BusinessEntity

  Returns:
    Current set of BusinessEntity

### getUploadRegisterVector

    public Vector getUploadRegisterVector()

  Gets the current set of UploadRegister

  Returns:
    Current set of UploadRegister

### setBusinessEntityVector

    public void setBusinessEntityVector(Vector vector)

  Sets a new set of BusinessEntity

  Parameters:
    `vector` - New set of BusinessEntity

### setUploadRegisterVector

    public void setUploadRegisterVector(Vector vector)

  Sets a new set of UploadRegister

  Parameters:
    `vector` - New set of UploadRegister

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD